#!/bin/sh

#SOURCE: http://www.abisource.com/downloads/wv/
#PACKAGER : Frederic Boulet <bipbip> bipbiponlinux~AT~gmail.com
#FORMER: Sebastian Jauch

CWD=`pwd`
PKG=/tmp/package-wv

VERSION=1.2.7
ARCH=i486
BUILD=64.1
SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf wv-$VERSION
tar xvf $CWD/wv-$VERSION.tar.gz
cd wv-$VERSION
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --mandir=/usr/man

make
make install DESTDIR=$PKG
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)


mv $PKG/usr/share/doc $PKG/usr
gzip -9 $PKG/usr/man/*/*

mkdir -p $PKG/usr/src/wv-$VERSION
cp $CWD/build-wv.sh $PKG/usr/src/wv-$VERSION

mkdir -p $PKG/install
#
# make a slack-desc file
#
cat <<"EOF" > $PKG/install/slack-desc
  |-----handy-ruler-----------------------------------|
wv:    WV  (Word Import Library)
wv:
wv:  WV is a word import library. It is required by
wv:  the Abiword word processor. It can load and 
wv:  parse Word 2000, 97, 95 and 6 file formats.
wv:  It has some support for reading earlier
wv:  formats as well: Word 2 docs are
wv:  converted to plaintext.
EOF

cd $PKG
makepkg -l y -c n ../wv-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum wv-$VERSION-$ARCH-$BUILD.txz > wv-$VERSION-$ARCH-$BUILD.md5
